Subject: bug#59200: closed (Re: bug#59200: reproducibility)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Nov 2022 13:09:02 +0000

Your bug report

#59200: ASDF build system/sbcl doesn't build FASLs on some packages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59200: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59200
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59200: reproducibility
From: Guillaume Le Vaillant <[email-masked]>
To: ykonai <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Nov 2022 13:05:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

ykonai <[email-masked]> skribis:

> Hi,
>
> It turns out this was due to the fact that I had ironclad git cloned on
> my computer, which was accidentally visible via :tree in the ASDF
> configuration. ASDF detected that a different ironclad was used and
> tried to compile-file to the gnu/store. I thought it was guix-related
> since it did occur with both --pure and --container, but I was running
> it with the default cwd share on.
>
> Using --container --no-cwd is the solution to this problem. 

Ok. Closing.

Subject: ASDF build system/sbcl doesn't build FASLs on some packages
From: ykonai <[email-masked]>
To: [email-masked]
Date: Fri, 11 Nov 2022 10:20:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

guix shell sbcl sbcl-uuid --pure -- sbcl --eval '(require :asdf)' --eval '(asdf:load-system :uuid)'
#<THREAD "main thread" RUNNING {100B1E8123}>:
  Error opening #P"/gnu/store/in6ndcrnqg9pp2glkbvl1s072zp7r34y-sbcl-uuid-2012.12.26-1.e7d6680/lib/common-lisp/sbcl/uuid/uuid-tmpGHU3ALSV.fasl":

    Read-only file system

The issue seems to be that the sbcl-uuid package has an empty
lib/common-lisp/sbcl/uuid directory: the FASL files don't get built.
    
The build log shows everything is fine
https://ci.guix.gnu.org/build/1670426/log/raw so I believe this has to
be an issue with the asdf-build-system/sbcl itself. It also seems to
affect a number of packages, including from what I've seen: sbcl-numcl,
sbcl-lack, and sbcl-mito. It doesn't seem to be a missing #:asd-systems
argument either (the .asd file is loaded fine per the build log).